@import "src/scss/variables";
@import "~bootstrap/scss/functions";
@import "~bootstrap/scss/variables";
@import "~bootstrap/scss/mixins";
:host {
body{
  background-color: $off-white2;
}
}
.corporate-governance-container {
  /*border: 1px solid $light-gray;*/
  background-color: $white;
 /* margin: 15px 0;*/
 
}
.governance-title {
  @media (max-width: 480px) {
    font-size: 18px !important;
  }
  @media (min-width: 480.1px) and (max-width: 768px) {
    font-size: 20px !important;
  }
}
table {
  .btn {
    height: 35px;
  }

  tr {
    td {
      .actions-buttons {
        opacity: 0;
        visibility: hidden;
        transition: all 0.3s ease-in-out;
      }
    }
    &:hover {
      td {
        .actions-buttons {
          opacity: 1;
          visibility: visible;
        }
      }
    }
  }

  .action-btn,
  .button-silver {
    width: 106px;

    @media (min-width: 768px) and (max-width: 992px) {
      margin-top: 25px;
    }
  }
}

.status {
  min-height: 29px;
  padding: 5px 15px;
  font-size: 1rem;
  font-weight: $font-medium;
  display: inline-flex;
  align-items: center;
  /*font-size: 13px;*/    justify-content: center;    min-width: 112px;

  &.published {
    color: $primary-purple;
    background-color: rgba($secondary-purple, 0.21);
    width: 102px;
    padding: 0 10px;
    display: flex;
    justify-content: center;
  }

  &.waiting {
    color: $yellow;
    background-color: rgba($yellow, 0.21);
  }

  &.rejected ,&.Rejected {
    color: $danger;
    background-color: rgba($danger, 0.21);
    width: 102px;
    padding: 0 10px;
    display: flex;
    justify-content: center;
  }

  &.Draft,&.New {
    color: #1cced8;
    background-color: rgba(#1cced8, 0.21);
  }

  &.approved, &.Approved {
    color: $oasis-light;
    background-color: rgba($oasis-light, 0.21);
    width: 102px;
    padding: 0 10px;
    display: flex;
    justify-content: center;
  }
}

.gray-select {
  min-width: 126px;
}

:host {
  .corporate-container {
    padding: 0;
    margin: 0 75px;
    @media (max-width: 768px) {
      margin: 0 20px;
    }
  }

  ::ng-deep {
    .primary-table thead tr th {
      text-align: inherit;
      font-size: 17px;
      white-space: nowrap;
      @media (max-width: 768px) {
        font-size: 14px !important;
      }
    }
    .primary-table thead tr {
      &:hover {
        .actions {
          opacity: 1;
          visibility: visible;
        }
      }
    }

    .primary-table tbody tr td {
      text-align: inherit;
      padding: 14px 10px;
      font-size: 16px;
      white-space: nowrap;
      color: $onyx;
    }

    .gray-select .select-container {
      padding: 0 10px;
      background-color: $off-white2;
      height: 54px;
    }
  }

  .doc-link {
    text-decoration: underline;
    margin-left: 10px;
    color: inherit;

    [dir="rtl"] & {
      margin-left: 0;
      margin-right: 10px;
    }
  }

  .actions {
    // opacity: 0;
    // visibility: hidden;
    // transition: .3s all ease-in-out;
  }

  .no-feed-back-btn {
    border: 0;
    background: transparent;
    width: 38px;
  }

  .actions-buttons {
    margin-left: 10px;
    button {
      margin-right: 10px;
      &:last-of-type {
        margin-right: 0;
      }

      [dir="rtl"] & {
        margin-right: 0;
        margin-left: 10px;

        &:last-of-type {
          margin-left: 0;
        }
      }
    }
  }

  .notification {
    position: absolute;
    top: -18px;
    right: 0;
    max-width: 360px;
    height: 100px;
    background-color: $white;
    border: 1px solid $light-gray;
    padding: 20px;
    z-index: 11;
    height: 100px;
    font-size: 14px;
    display: flex;
    align-items: center;
    justify-content: center;

    p {
      margin: 0 0 0 20px;
    }
  }
}

// general
.add-new {
  min-width: 152px;
}

@include media-breakpoint-down(sm) {
  table {
    width: 800px;
  }

  td.mat-column-star {
    width: 20px;
    padding-right: 8px;
  }

  th.mat-column-position,
  td.mat-column-position {
    padding-left: 8px;
  }

  // .mat-table-sticky:first-child {
  //   border-right: 1px solid #e0e0e0;
  // }

  .mat-table-sticky:last-child {
    border-left: 1px solid #e0e0e0;
  }
}

:host ::ng-deep .mat-sort-header-arrow {
  color: #fff !important;
}

.close-search {
  position: absolute;
  right: 0;
  bottom: 8px;
}
th.mat-header-cell:first-of-type {
  padding-left: 15px;
}
.btn.button-primary span:first-child.mat-button-wrapper,
 .button-primary span:first-child.mat-button-wrapper {
  padding: 0 17px;
 
}